import { QuarkElement, Ref } from 'quarkc';
import Dialog from '../dialog';
interface RECT {
    imgWidth: number;
    imgHeight: number;
    cropperWidth: number;
    cropperHeight: number;
}
export default class ImageResize extends QuarkElement {
    isControl: boolean;
    isCropper: boolean;
    width: number;
    height: number;
    src: string;
    matrix: string;
    rect: string;
    readOnly: boolean;
    elRef: Ref<HTMLElement>;
    dialogRef: Ref<Dialog>;
    imgRef: Ref<HTMLImageElement>;
    contentRef: Ref<HTMLElement>;
    isMoving: boolean;
    startX: any;
    startY: any;
    startEl: any;
    curRect: {
        width: any;
        height: any;
    };
    originRect: any;
    get computedRect(): RECT;
    get contentStyle(): {
        width: string | number;
        height: string | number;
    };
    get imgStyle(): {
        width: string | number;
        height: string | number;
        margin: string;
        transform: string;
    };
    get data(): {
        rect: string;
        src: string;
        readOnly: boolean;
    };
    listen: (e: any) => void;
    handleMouseMove: (e: any) => void;
    handleMouseUp: (e: any) => void;
    setCursor: (v: string) => void;
    handleClick: () => void;
    toggleControl: () => void;
    handleClickByOut: (e: any) => void;
    stopToolbar: (e: any) => void;
    getClassName: () => string;
    render(): any;
}
export {};
